Bug 1656832 - [abrt] cinnamon: INT_cairo_region_num_rectangles(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: INT_cairo_region_num_rectangles(): cinnamon killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f7dcb4b102a864f21fb63ee430f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-06 12:26 UTC by Carlos "casep" Sepulveda
Modified: 2018-12-14 20:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-11 17:04:09 UTC


Attachments (Terms of Use)
File: backtrace (182.76 KB, text/plain)
2018-12-06 12:26 UTC, Carlos "casep" Sepulveda
no flags Details
File: cgroup (349 bytes, text/plain)
2018-12-06 12:26 UTC, Carlos "casep" Sepulveda
no flags Details
File: core_backtrace (42.38 KB, text/plain)
2018-12-06 12:26 UTC, Carlos "casep" Sepulveda
no flags Details
File: cpuinfo (1.42 KB, text/plain)
2018-12-06 12:26 UTC, Carlos "casep" Sepulveda
no flags Details
File: dso_list (22.12 KB, text/plain)
2018-12-06 12:26 UTC, Carlos "casep" Sepulveda
no flags Details
File: environ (1.24 KB, text/plain)
2018-12-06 12:26 UTC, Carlos "casep" Sepulveda
no flags Details
File: exploitable (82 bytes, text/plain)
2018-12-06 12:26 UTC, Carlos "casep" Sepulveda
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-06 12:26 UTC, Carlos "casep" Sepulveda
no flags Details
File: maps (148.24 KB, text/plain)
2018-12-06 12:26 UTC, Carlos "casep" Sepulveda
no flags Details
File: mountinfo (3.78 KB, text/plain)
2018-12-06 12:26 UTC, Carlos "casep" Sepulveda
no flags Details
File: open_fds (5.10 KB, text/plain)
2018-12-06 12:26 UTC, Carlos "casep" Sepulveda
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2018-12-06 12:26 UTC, Carlos "casep" Sepulveda
no flags Details

Description Carlos "casep" Sepulveda 2018-12-06 12:26:08 UTC
Description of problem:
Click the Evolution notifications applet from the systray.
Click the "Dismiss all" button in the newly opened window.

It is possible to reproduce everytime.

Version-Release number of selected component:
cinnamon-4.0.2-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: INT_cairo_region_num_rectangles
executable:     /usr/bin/cinnamon
journald_cursor: s=bb2f2267e4224fe8be7ad52b3ff616f9;i=1ff121;b=9d655dbb79f74957a2f817fe00c78927;m=2eb14be63;t=57c596e52bd6f;x=ff2bd43a354af9ed
kernel:         4.19.5-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 INT_cairo_region_num_rectangles at cairo-region.c:451
 #1 meta_shaped_texture_ensure_mask at compositor/meta-shaped-texture.c:382
 #2 meta_window_actor_sync_actor_geometry at compositor/meta-window-actor.c:1646
 #3 meta_window_actor_thaw at compositor/meta-window-actor.c:1197
 #4 meta_window_actor_effect_completed at compositor/meta-window-actor.c:1446
 #5 ffi_call_unix64 at ../src/x86/unix64.S:76
 #6 ffi_call at ../src/x86/ffi64.c:525
 #7 gjs_invoke_c_function at gi/function.cpp:1096
 #8 function_call at /usr/include/mozjs-52/js/RootingAPI.h:1004
 #9 js::CallJSNative at /usr/src/debug/mozjs52-52.9.0-1.fc29.x86_64/dist/include/js/CallArgs.h:269

Comment 1 Carlos "casep" Sepulveda 2018-12-06 12:26:13 UTC
Created attachment 1512097 [details]
File: backtrace

Comment 2 Carlos "casep" Sepulveda 2018-12-06 12:26:14 UTC
Created attachment 1512098 [details]
File: cgroup

Comment 3 Carlos "casep" Sepulveda 2018-12-06 12:26:16 UTC
Created attachment 1512099 [details]
File: core_backtrace

Comment 4 Carlos "casep" Sepulveda 2018-12-06 12:26:17 UTC
Created attachment 1512100 [details]
File: cpuinfo

Comment 5 Carlos "casep" Sepulveda 2018-12-06 12:26:18 UTC
Created attachment 1512101 [details]
File: dso_list

Comment 6 Carlos "casep" Sepulveda 2018-12-06 12:26:20 UTC
Created attachment 1512102 [details]
File: environ

Comment 7 Carlos "casep" Sepulveda 2018-12-06 12:26:21 UTC
Created attachment 1512103 [details]
File: exploitable

Comment 8 Carlos "casep" Sepulveda 2018-12-06 12:26:22 UTC
Created attachment 1512104 [details]
File: limits

Comment 9 Carlos "casep" Sepulveda 2018-12-06 12:26:24 UTC
Created attachment 1512105 [details]
File: maps

Comment 10 Carlos "casep" Sepulveda 2018-12-06 12:26:25 UTC
Created attachment 1512106 [details]
File: mountinfo

Comment 11 Carlos "casep" Sepulveda 2018-12-06 12:26:27 UTC
Created attachment 1512107 [details]
File: open_fds

Comment 12 Carlos "casep" Sepulveda 2018-12-06 12:26:28 UTC
Created attachment 1512108 [details]
File: proc_pid_status

Comment 13 Daniel Horák 2018-12-06 15:37:27 UTC
Similar problem has been detected:

Cinammon crashes quite often, when I'm closing more applications in a row (before shuting down the computer) - few windows of firefox, terminator, (g)vim,...

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: INT_cairo_region_num_rectangles
executable:     /usr/bin/cinnamon
journald_cursor: s=5c91d4c2f85e4f22948e129618dc51d5;i=46ade;b=62347538532841659b2f6e8a6c1d8811;m=77c6f414a;t=57c5bfbcc80cc;x=48153957fb84881c
kernel:         4.19.5-300.fc29.x86_64
package:        cinnamon-4.0.2-1.fc29
reason:         cinnamon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora Update System 2018-12-06 16:22:34 UTC
cinnamon-control-center-4.0.1-1.fc29 cinnamon-settings-daemon-4.0.3-1.fc29 nemo-4.0.4-1.fc29 muffin-4.0.4-1.fc29 cinnamon-screensaver-4.0.2-1.fc29 cinnamon-4.0.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a04c1f1c77

Comment 15 Fedora Update System 2018-12-06 16:22:42 UTC
cinnamon-control-center-4.0.1-1.fc28 cinnamon-settings-daemon-4.0.3-1.fc28 nemo-4.0.4-1.fc28 muffin-4.0.4-1.fc28 cinnamon-screensaver-4.0.2-1.fc28 cinnamon-4.0.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-232469ffea

Comment 16 Fedora Update System 2018-12-07 03:16:39 UTC
cinnamon-4.0.5-1.fc29, cinnamon-control-center-4.0.1-1.fc29, cinnamon-screensaver-4.0.2-1.fc29, cinnamon-settings-daemon-4.0.3-1.fc29, muffin-4.0.4-1.fc29, nemo-4.0.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a04c1f1c77

Comment 17 Fedora Update System 2018-12-07 03:23:11 UTC
cinnamon-4.0.5-1.fc28, cinnamon-control-center-4.0.1-1.fc28, cinnamon-screensaver-4.0.2-1.fc28, cinnamon-settings-daemon-4.0.3-1.fc28, muffin-4.0.4-1.fc28, nemo-4.0.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-232469ffea

Comment 18 Dave 2018-12-09 17:43:07 UTC
Similar problem has been detected:

Launch the application Trillian and log in
When the chats window opens, close it - Cinnamon will crash and go to fallback mode.  It can be restarted successfully
The problem does not occur if all Trillian windows are minimized and the application is closed by selecting Quit in the panel icon

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: INT_cairo_region_num_rectangles
executable:     /usr/bin/cinnamon
journald_cursor: s=e23846c3f93f484aae6bb54d29cee2c1;i=3b4ca;b=74c55710d6304c2fb5e8e39486d6e93b;m=3949b71;t=57c99ffac187c;x=4e9594fc0a01023
kernel:         4.19.6-300.fc29.x86_64
package:        cinnamon-4.0.3-1.fc29
reason:         cinnamon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Randy Barlow 2018-12-11 17:04:09 UTC
A Fedora update associated with this bug has been pushed to the stable repository.

Comment 20 Randy Barlow 2018-12-14 20:41:19 UTC
A Fedora update associated with this bug has been pushed to the stable repository.


Note You need to log in before you can comment on or make changes to this bug.